Package ru.bitel.bgbilling.modules.card.server.bean

# Class CardManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.card.server.bean.CardManager

public class CardManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `activated(Card card, int type)`
  `String`
  `addCard(Connection connection, Card card)`
  `void`
  `addCardsToDealer(int dealerId, Calendar date, String cards)`
  `void`
  `addCardToContract(Connection con, Calendar time, Card card, int contractId)`
  `void`
  `addCardToContract(Calendar time, Card card, int contractId, ru.bitel.bgbilling.kernel.container.managed.ServerContext context)`
  Deprecated.
  `void`
  `addCardToContract(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, Connection con, Calendar time, Card card, int contractId)`
  `String`
  `checkCard(Card card)`
  `Card`
  `findCard(String userName)`
  `Card`
  `findCard(String userName, Trace tracer)`
  `List<Card>`
  `getCards(String idList)`
  `void`
  `updateCardStatus(String cards, int newStatus)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CardManager

    public CardManager(Connection con, int mid)

- ## Method Details

  - ### findCard

    public Card findCard(String userName)

  - ### findCard

    public Card findCard(String userName, Trace tracer)

  - ### addCard

    public String addCard(Connection connection, Card card)

  - ### checkCard

    public String checkCard(Card card)

  - ### activated

    public boolean activated(Card card, int type)

  - ### addCardToContract

    @Deprecated public void addCardToContract(Calendar time, Card card, int contractId, ru.bitel.bgbilling.kernel.container.managed.ServerContext context)
    Deprecated.

  - ### addCardToContract

    public void addCardToContract(Connection con, Calendar time, Card card, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addCardToContract

    public void addCardToContract(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, Connection con, Calendar time, Card card, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCards

    public List<Card> getCards(String idList)

  - ### addCardsToDealer

    public void addCardsToDealer(int dealerId, Calendar date, String cards)

  - ### updateCardStatus

    public void updateCardStatus(String cards, int newStatus)